Subject: bug#3751: 23.0.95; C-h H does not display hourglass cursor

From: Stefan Kangas <[email-masked]>
Date: Sat, 02 Nov 2019 07:01:23 +0100

Eli Zaretskii <[email-masked]> writes:

> On MS Windows, "C-h H" takes as much as 10 seconds (on a 3GHz
> machine), but no hourglass cursor is displayed during that time,
> making it look like nothing is going on.
>
> If displaying an hourglass cursor during the time Emacs prepares to
> display etc/HELLO is difficult, at the very least please display some
> informative message that ends with "please wait..." in the echo area.

Hi Eli,

Here is another bug of yours that was reported 10 years ago.  Is this
still an issue?  It seems to me that it would be easy to add a message
using progress-reporter.

Best regards,
Stefan Kangas